<script setup lang="ts">
import StockDialog from '@/Stock/components/StockDialog.vue'
import { useChecktimesStore } from '@/Checktime/stores/checktime'
import { onMounted } from 'vue'
const checktimesStore = useChecktimesStore()

onMounted(() => {
  checktimesStore.getAll()
})
function isChecked(): boolean {
  return checktimesStore.chItem.clockIn !== ''
}
</script>

<template>
  <SalaryDialog />
  <v-data-table
    class="h-100"
    fixed-header
    :headers="checktimesStore.headers"
    :items="checktimesStore.chItem"
  >
    <!-- :search="search" -->
    <template #top>
      <v-card class="pa-5">
        <v-row>
          <v-col>
            <h2>CheckIN/OUT Management</h2>
            <h3 class="d-inline-flex">
              <p>เวลาเข้างาน :</p>
              <p
                :class="isChecked() ? 'text-white' : 'text-red'"
                v-text="isChecked() ? checktimesStore.chItem.clockIn : 'คุณยังไม่ได้เข้างาน'"
              ></p>
            </h3>
          </v-col>
          <v-col align="center">
            <AttendanceDialog />
            <v-btn width="30%" @click.prevent="dialogStore.openAttendanceDialog()">
              <p>QUICK CHECK</p>
            </v-btn>
          </v-col>
          <v-col cols="1"> </v-col>
        </v-row>
      </v-card>
    </template>
    <template #item="{ item }">
      <tr :key="item.id">
        <td>{{ item.id }}</td>
        <td>{{ item.date }}</td>
        <td>{{ item.user?.fullName }}</td>
        <!-- <td>{{ item.user?.employee?.firstName + " " + item.user?.employee?.lastName }}</td> -->
        <td>{{ item.clockIn }}</td>
        <td>{{ item.clockOut }}</td>
        <td>{{ item.timeWorked }}</td>
        <td>{{ item.typeWork }}</td>
      </tr>
    </template>
  </v-data-table>
</template>

<style scoped></style>
